Bug 73125 - Recorded change type (Action) for comment should be Comment instead of Insertion
Summary: Recorded change type (Action) for comment should be Comment instead of Insertion
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0
Keywords: needsDevAdvice, needsUXEval
Depends on:
Blocks: Track-Changes 148032
  Show dependency treegraph
 
Reported: 2013-12-29 17:04 UTC by efelthauser
Modified: 2022-03-16 14:03 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot: new Insert/Delete Comment action icons in Manage Changes dialog window (118.16 KB, image/png)
2022-03-11 16:06 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description efelthauser 2013-12-29 17:04:00 UTC
When change recording is on, adding a comment creates two insertion changes in the change list. I would think that this should only create a single entry in the change list, and it would be helpful if the type was 'comment', not 'insertion'...
Comment 1 Buovjaga 2014-11-07 15:56:39 UTC
I only get one Insertion, but let's switch the issue to the naming of the change.

Win 7 64-bit Version: 4.4.0.0.alpha1+
Build ID: 8b21b5cbe78945b27525b4ce78ae3d981f90590f
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-06_03:55:51
Comment 2 Dieter 2022-03-09 06:10:01 UTC
Tested with

Version: 7.3.1.2 (x64) / LibreOffice Community
Build ID: 9fff0292474d6d0bf5df787b512c71d9ac4bc98e
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

I can only see one insertion, but I can't see the column "Type" in Manage Changes Dialog. Perhps appearance of the dialog has changed. Could you please retest?

=> NEEDINFO
Comment 3 Buovjaga 2022-03-09 06:22:44 UTC
(In reply to Dieter from comment #2)
> I can only see one insertion, but I can't see the column "Type" in Manage
> Changes Dialog. Perhps appearance of the dialog has changed. Could you
> please retest?

The name of the column is "Action" and "Insertion" is expressed with a green plus sign. In the Filter tab you can see the names of the change types in a dropdown, if you check the action box.
Comment 4 Dieter 2022-03-09 07:59:01 UTC
(In reply to Buovjaga from comment #3)
> The name of the column is "Action" and "Insertion" is expressed with a green
> plus sign. In the Filter tab you can see the names of the change types in a
> dropdown, if you check the action box.

Thank you for explanation. So ide is to have "Comment" a new action type. But before it should be clear, if comments hould be part of track changes (as far as I can see only inserting and deleting of comments are tracked as changes); see bug 147574
Comment 5 Buovjaga 2022-03-09 09:06:22 UTC
Let's ask UX what they think about adding a new type.
Comment 6 Heiko Tietze 2022-03-11 10:39:27 UTC
Michael, any blocker to have more action types at track changes in addition/deletion/format?

Deletions are taken into the comments now (maybe the option to show deletions in margins needs to be enabled). Could imagine this as a general way for better feedback. Could be something like "(+) | <Author> | <Date> | Comment added".
Comment 7 László Németh 2022-03-11 16:06:33 UTC
Created attachment 178820 [details]
Screenshot: new Insert/Delete Comment action icons in Manage Changes dialog window
Comment 8 László Németh 2022-03-11 16:11:47 UTC
Hi Heiko & Michael: here is the suggested fix for the new action icons, shown when the tracked change contains only a single comment, not any extra text changes. Likely this is a good compromise to keep it simple while offering better feedback (see on the attached screenshot):

https://gerrit.libreoffice.org/c/core/+/131387
Comment 9 Commit Notification 2022-03-12 17:43:22 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/128d3b454467e34538903b2eab45e866f976b314

tdf#73125 sw: add Insert/Delete Comment Manage Changes action icons

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 László Németh 2022-03-13 08:25:26 UTC
Please, file a new issue for the remaining Filter issue, i.e. filtering by the tracked comments, if it's needed.
Comment 11 Heiko Tietze 2022-03-14 08:16:49 UTC
Works like a charm. 

Icons are nice but it shouldn't be the only way of feedback. That's why I appreciate the automatic insertion of a TC comment, which could be "Comment added" and "Comment deleted" in this case.
Comment 12 László Németh 2022-03-16 14:03:11 UTC
(In reply to Heiko Tietze from comment #11)
> Works like a charm. 
> 
> Icons are nice but it shouldn't be the only way of feedback. That's why I
> appreciate the automatic insertion of a TC comment, which could be "Comment
> added" and "Comment deleted" in this case.

@Heiko: many thanks for your nice feedback and suggestion. Here is the proposed fix for using redline comments:

https://gerrit.libreoffice.org/c/core/+/131659